MCP Tools Reference: ces.googleapis.com

ツール: start_export_app

CES アプリのエクスポートを開始します

次のサンプルは、curl を使用して start_export_app MCP ツールを呼び出す方法を示しています。

Curl リクエスト
                  
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "start_export_app",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

入力スキーマ

McpService.StartExportApp のリクエスト メッセージです。

StartExportAppRequest

JSON 表現
{
  "projectId": string,
  "locationId": string,
  "appId": string
}
フィールド
projectId

string

エクスポートするアプリのプロジェクト ID。

locationId

string

エクスポートするアプリのロケーション ID。

appId

string

エクスポートするアプリのアプリ ID。

出力スキーマ

CES アプリをエクスポートするオペレーション。

ExportAppOperation

JSON 表現
{
  "name": string,
  "done": boolean,
  "content": string
}
フィールド
name

string

アプリのエクスポート オペレーションのリソース名。

done

boolean

オペレーションが完了したかどうか。

content

string (bytes format)

[done] が true の場合、圧縮されたアプリ エクスポートの zip ファイルのバイトが含まれます。これは、yaml 形式のアプリ構成ファイルを含むフォルダです。

Base64 でエンコードされた文字列。

ツールのアノテーション

破壊的ヒント: ❌ | べき等ヒント: ❌ | 読み取り専用ヒント: ❌ | オープン ワールド ヒント: ❌